
Katello - Bug #4765

UI: Content Views: Errata ID filter: 404s on List/Remove & Add lists

03/21/2014 01:51 PM - Brad Buckingham

Status: Closed   

Priority: High   

Assignee:    

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The UI is incorrectly constructing the resource requests sent to Katello, resulting in 404s.

Setup:

- Create & sync product/repo w/errata

- Create a content view

- Add repo to the view

- Create an 'Errata by ID' filter

- Navigate away from the filter and re-open it

- At this point, you should see "Filters >> errata by id:...." and the List/Remove an Add tabs

- Click on the Add tab, 2 requests are sent to the server, each resulting in a 404

- Click on the List/Remove tab, 2 requests are sent to the server, each resulting in a 404

- The resources to the server look similar to:

katello/api/v2/content_view_filters//available_errata?page=1&search=

katello/api/v2/content_view_filters/available_errata?page=1&search=

Only 1 request should be sent to the server and it should include the id of the filter being edited.

Associated revisions

Revision 165f2151 - 03/21/2014 10:48 AM - Eric Helms

Fixes #4765: Errata by ID filter tabs correctly linked by passing filter ID.

Revision ab52f701 - 03/21/2014 02:48 PM - Eric Helms

Fixes #4765: Errata by ID filter tabs correctly linked by passing filter ID.

Revision 7698b61c - 03/21/2014 03:52 PM - Brad Buckingham

fixes #4765: Content Views: Filters: sort errata by id

Revision 955e894a - 03/21/2014 04:12 PM - Eric Helms

Merge pull request #3860 from ehelms/fixes-4765

Fixes #4765: Errata by ID filter tabs correctly linked by passing filter...

Revision ce8c6825 - 03/21/2014 07:52 PM - Brad Buckingham

fixes #4765: Content Views: Filters: sort errata by id

Revision 5f4b9f80 - 03/24/2014 07:50 AM - Brad Buckingham

Merge pull request #3863 from bbuckingham/issue-4765

fixes #4765: Content Views: Filters: sort errata by id
Revision 3c2675b5 - 03/24/2014 11:50 AM - Brad Buckingham

Merge pull request #3863 from bbuckingham/issue-4765

fixes #4765: Content Views: Filters: sort errata by id

History

#1 - 03/21/2014 01:55 PM - Brad Buckingham

- Category set to Web UI

#2 - 03/21/2014 04:52 PM - Eric Helms

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:ab52f701ee17db59b53f286911823a300b238218.

#3 - 06/06/2014 01:33 PM - Eric Helms

- Triaged set to Yes

#4 - 08/21/2014 02:36 PM - Eric Helms

- translation missing: en.field_release set to 13
